Skip to main content

Who viewed your profile

POST /api/v1/profile_views

This API retrieves the details of users who have viewed the authenticated user's LinkedIn profile.

Headers

NameTypeRequired
x-api-keystringYes
x-api-secretstringYes

Request Body

Schema

accountIdstringrequiredThe unique identifier of the WeLink account.

Sample Request

{
"accountId": "string"
}

Responses

Webhook Events

Schema

statusstringStatus indicating the request completed successfully (e.g. "SUCCESS").
requestIdstringUnique identifier for the request.
resultobjectThe response payload.
totalnumberTotal number of items.
dataarray[]Array of result items.

Sample Response

{
"status": "string",
"requestId": "string",
"result": {
"total": 0,
"data": [
{
"full_name": "string",
"first_name": "string",
"last_name": "string",
"public_identifier": "string",
"profile_id": "string",
"image": "string",
"title": "string",
"company": null,
"time": 0
}
]
}
}
POST/api/v1/profile_views
x-api-key
x-api-secret